void InitGoods()
{
	Goods[GOOD_BALLS].Name			= "Balls";
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_BALLS].Cost			= 4;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_BALLS].Cost			= 50;
}
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_BALLS].Weight		= 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_BALLS].Weight		= 4;
}
	Goods[GOOD_BALLS].Units			= 20;
	Goods[GOOD_BALLS].SpeedV0		= 1.0;
	if(RTBL == 1) // = If RTBL is enabled
	{
		Goods[GOOD_BALLS].DamageHull	= 6.0;
		Goods[GOOD_BALLS].DamageRig	= 0.1;
		Goods[GOOD_BALLS].DamageCrew	= 0.2;
	} else if(RTBL == 2) {
		//new midway damage
		Goods[GOOD_BALLS].DamageHull	= 7.0;
		Goods[GOOD_BALLS].DamageRig	= 0.15;
		Goods[GOOD_BALLS].DamageCrew	= 0.6;
	} else {
		//original damage
	Goods[GOOD_BALLS].DamageHull	= 8.0;
	Goods[GOOD_BALLS].DamageRig		= 0.25;
	Goods[GOOD_BALLS].DamageCrew	= 0.9;
	}
		
	Goods[GOOD_BALLS].AfraidWater = 0;    // рудимент от к3
	Goods[GOOD_BALLS].type				= TRADE_TYPE_AMMUNITION;
	Goods[GOOD_BALLS].canbecontraband	= 0;  // рудимент от к3

	Goods[GOOD_GRAPES].Name			= "Grapes";
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_GRAPES].Cost			= 12;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_GRAPES].Cost			= 25;
}
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_GRAPES].Weight		= 1;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_GRAPES].Weight		= 2;
}
	Goods[GOOD_GRAPES].Units		= 20;
	Goods[GOOD_GRAPES].SpeedV0		= 0.6; // boal
	if(RTBL == 1) 
	{  // = If RTBL is enabled
		Goods[GOOD_GRAPES].DamageHull	= 0.01;
		Goods[GOOD_GRAPES].DamageRig	= 0.01;
		Goods[GOOD_GRAPES].DamageCrew	= 1.0;
	} else if(RTBL == 2) {
		//new midway damage
		Goods[GOOD_GRAPES].DamageHull	= 0.3;
		Goods[GOOD_GRAPES].DamageRig	= 0.5;
		Goods[GOOD_GRAPES].DamageCrew	= 1.2;
	} else {
		//original damage
	Goods[GOOD_GRAPES].DamageHull	= 1.0;
	Goods[GOOD_GRAPES].DamageRig	= 2.0;
	Goods[GOOD_GRAPES].DamageCrew	= 1.5;
}

	Goods[GOOD_GRAPES].AfraidWater	= 0;
	Goods[GOOD_GRAPES].type				= TRADE_TYPE_AMMUNITION;
	Goods[GOOD_GRAPES].canbecontraband	= 0;
	
	Goods[GOOD_KNIPPELS].Name		= "Knippels";
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_KNIPPELS].Cost			= 26;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_KNIPPELS].Cost			= 35;
}
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_KNIPPELS].Weight		= 2;
}
	else // = If Realistic Weights  IS enabled
	{
	Goods[GOOD_KNIPPELS].Weight		= 3;
}
	Goods[GOOD_KNIPPELS].Units		= 20;
	Goods[GOOD_KNIPPELS].SpeedV0		= 0.9;
	if(RTBL == 1) 
	{  // = If RTBL is enabled
	Goods[GOOD_KNIPPELS].DamageHull = 0.01;
	Goods[GOOD_KNIPPELS].DamageRig	= 1.0;
	Goods[GOOD_KNIPPELS].DamageCrew = 0.2;
	} else if(RTBL == 2) {
		//new midway damage
		Goods[GOOD_KNIPPELS].DamageHull = 1.0;
		Goods[GOOD_KNIPPELS].DamageRig	= 3.0;
		Goods[GOOD_KNIPPELS].DamageCrew = 0.7;
	} else {
		//original damage
		Goods[GOOD_KNIPPELS].DamageHull = 1.5;
		Goods[GOOD_KNIPPELS].DamageRig	= 9.0;
		Goods[GOOD_KNIPPELS].DamageCrew = 1.0;
	}
	Goods[GOOD_KNIPPELS].AfraidWater = 0;
	Goods[GOOD_KNIPPELS].type				= TRADE_TYPE_AMMUNITION;
	Goods[GOOD_KNIPPELS].canbecontraband	= 0;
	
	Goods[GOOD_BOMBS].Name			= "Bombs";
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_BOMBS].Cost			= 60;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_BOMBS].Cost			= 80;
}
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_BOMBS].Weight		= 1;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_BOMBS].Weight		= 4;
}
	Goods[GOOD_BOMBS].Units			= 20;
	Goods[GOOD_BOMBS].SpeedV0		= 0.8;
	if(RTBL == 1) 
	{  // = If RTBL is enabled
	Goods[GOOD_BOMBS].DamageHull	= 0.5;
	Goods[GOOD_BOMBS].DamageRig	= 0.1;
	Goods[GOOD_BOMBS].DamageCrew	= 0.8;
	} else if(RTBL == 2) {
		//new midway damage
		Goods[GOOD_BOMBS].DamageHull	= 10.0;
		Goods[GOOD_BOMBS].DamageRig	= 0.4;
		Goods[GOOD_BOMBS].DamageCrew	= 0.9;
	} else {
		//original damage
		Goods[GOOD_BOMBS].DamageHull	= 15.0;
		Goods[GOOD_BOMBS].DamageRig	= 1.0;
		Goods[GOOD_BOMBS].DamageCrew	= 1.0;
	}
	Goods[GOOD_BOMBS].AfraidWater = 0;
	Goods[GOOD_BOMBS].type				= TRADE_TYPE_AMMUNITION;
	Goods[GOOD_BOMBS].canbecontraband	= 0;


	Goods[GOOD_POWDER].Name		    = "Powder";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_POWDER].Weight	        = 1;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_POWDER].Weight	    = 6;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_POWDER].Cost			= 100;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_POWDER].Cost			= 100;
}
	Goods[GOOD_POWDER].Units	    = 20;
	Goods[GOOD_POWDER].AfraidWater = 1;
	Goods[GOOD_POWDER].type				= TRADE_TYPE_AMMUNITION;
	Goods[GOOD_POWDER].canbecontraband	= 0;
	
	Goods[GOOD_FOOD].Name		    = "Food";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_FOOD].Weight		    = 1;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_FOOD].Weight	        = 4;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_FOOD].Cost			= 90;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_FOOD].Cost			= 150;
};
	Goods[GOOD_FOOD].Units	        = 20;
	Goods[GOOD_FOOD].Swim.Model	    = "barrel";
	Goods[GOOD_FOOD].Swim.Time	    = 45;
	Goods[GOOD_FOOD].AfraidWater = 1;
	Goods[GOOD_FOOD].type				= TRADE_TYPE_AMMUNITION;
	Goods[GOOD_FOOD].canbecontraband	= 0;

	Goods[GOOD_RUM].Name		    = "Rum";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_RUM].Weight		    = 1;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_RUM].Weight		    = 6;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_RUM].Cost			= 13;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_RUM].Cost			= 80;
}
	Goods[GOOD_RUM].Units		    = 50;
	Goods[GOOD_RUM].Swim.Model	    = "barrel";
	Goods[GOOD_RUM].Swim.Time	    = 30;
	Goods[GOOD_RUM].AfraidWater = 1;
	Goods[GOOD_RUM].canbecontraband	= 0;	  

	Goods[GOOD_WEAPON].Name	  	    = "Weapon";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_WEAPON].Weight	    = 1;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_WEAPON].Weight	    = 3;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_WEAPON].Cost			= 90;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_WEAPON].Cost			= 160;
};
	Goods[GOOD_WEAPON].Units	    = 20;
	Goods[GOOD_WEAPON].AfraidWater = 0;
	Goods[GOOD_WEAPON].type				= TRADE_TYPE_AMMUNITION;
	Goods[GOOD_WEAPON].canbecontraband	= 0;

	Goods[GOOD_MEDICAMENT].Name		    = "Medicament";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_MEDICAMENT].Weight	    = 1;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_MEDICAMENT].Weight	    = 2;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_MEDICAMENT].Cost			= 100;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_MEDICAMENT].Cost			= 200;
}
	Goods[GOOD_MEDICAMENT].Units	    = 20;
	Goods[GOOD_MEDICAMENT].Swim.Model	= "box";
	Goods[GOOD_MEDICAMENT].Swim.Time	= 45;
	Goods[GOOD_MEDICAMENT].AfraidWater = 0;
	Goods[GOOD_MEDICAMENT].canbecontraband	= 0;

	Goods[GOOD_SAILCLOTH].Name		= "Sailcloth";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_SAILCLOTH].Weight	= 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_SAILCLOTH].Weight	= 4;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_SAILCLOTH].Cost			= 5;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_SAILCLOTH].Cost			= 8;
}
	Goods[GOOD_SAILCLOTH].Units		= 1;
	Goods[GOOD_SAILCLOTH].Swim.Model= "roll_of_materials";
	Goods[GOOD_SAILCLOTH].Swim.Time	= 45; // boal 10
	Goods[GOOD_SAILCLOTH].AfraidWater = 0;
	Goods[GOOD_SAILCLOTH].type				= TRADE_TYPE_AMMUNITION;
	Goods[GOOD_SAILCLOTH].canbecontraband	= 0;

	Goods[GOOD_PLANKS].Name		    = "Planks";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_PLANKS].Weight	    = 3;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_PLANKS].Weight	    = 5;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_PLANKS].Cost			= 8;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_PLANKS].Cost			= 12;
}
	Goods[GOOD_PLANKS].Units	    = 1;
	Goods[GOOD_PLANKS].Swim.Model	= "roll_of_planks";
	Goods[GOOD_PLANKS].Swim.Time	= 45; // boal 15
	Goods[GOOD_PLANKS].AfraidWater = 0;
	Goods[GOOD_PLANKS].type				= TRADE_TYPE_AMMUNITION;
	Goods[GOOD_PLANKS].canbecontraband	= 0;

	Goods[GOOD_LINEN].Name		    = "Linen";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_LINEN].Weight	    = 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_LINEN].Weight	    = 4;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_LINEN].Cost			= 25;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_LINEN].Cost			= 10;
}
	Goods[GOOD_LINEN].Units		    = 1;
	Goods[GOOD_LINEN].Swim.Model	= "roll_of_rolls";
	Goods[GOOD_LINEN].Swim.Time		= 30;
	Goods[GOOD_LINEN].AfraidWater = 1;
	Goods[GOOD_LINEN].canbecontraband	= 0;

	Goods[GOOD_SILK].Name	        = "Silk";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_SILK].Weight	        = 1;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_SILK].Weight	        = 4;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_SILK].Cost			= 62;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_SILK].Cost			= 18;
}
	Goods[GOOD_SILK].Units	        = 1;
	Goods[GOOD_SILK].Swim.Model	    = "roll_of_rolls";
	Goods[GOOD_SILK].Swim.Time	    = 30;
	Goods[GOOD_SILK].AfraidWater = 3;
	Goods[GOOD_SILK].canbecontraband	= 1;

	Goods[GOOD_CLOTHES].Name	    = "Clothes";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_CLOTHES].Weight	    = 1;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_CLOTHES].Weight	    = 4;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_CLOTHES].Cost			= 41;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_CLOTHES].Cost			= 17;
}
	Goods[GOOD_CLOTHES].Units	    = 1;
	Goods[GOOD_CLOTHES].Swim.Model	= "bale";
	Goods[GOOD_CLOTHES].Swim.Time	= 30;
	Goods[GOOD_CLOTHES].AfraidWater = 2;
	Goods[GOOD_CLOTHES].canbecontraband	= 0;

	Goods[GOOD_COTTON].Name		    = "Cotton";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_COTTON].Weight	    = 1;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_COTTON].Weight	    = 3;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_COTTON].Cost			= 13;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_COTTON].Cost			= 6;
}
	Goods[GOOD_COTTON].Units	    = 1;
	Goods[GOOD_COTTON].Swim.Model	= "bale";
	Goods[GOOD_COTTON].Swim.Time	= 25; 
	Goods[GOOD_COTTON].AfraidWater = 3;
	Goods[GOOD_COTTON].canbecontraband	= 0;

	Goods[GOOD_WOOL].Name		    = "Wool";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_WOOL].Weight	    = 1;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_WOOL].Weight	    = 3;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_WOOL].Cost			= 13;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_WOOL].Cost			= 6;
}
	Goods[GOOD_WOOL].Units	    = 1;
	Goods[GOOD_WOOL].Swim.Model	= "bale";
	Goods[GOOD_WOOL].Swim.Time	= 25; 
	Goods[GOOD_WOOL].AfraidWater = 3;
	Goods[GOOD_WOOL].canbecontraband	= 0;

	Goods[GOOD_TEA].Name			= "Tea";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_TEA].Weight			= 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_TEA].Weight			= 5;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_TEA].Cost			= 80;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_TEA].Cost			= 15;
}
	Goods[GOOD_TEA].Units			= 1;
	Goods[GOOD_TEA].Swim.Model		= "box";
	Goods[GOOD_TEA].Swim.Time		= 25;
	Goods[GOOD_TEA].AfraidWater		= 3;
	Goods[GOOD_TEA].canbecontraband		= 0;

	Goods[GOOD_COFFEE].Name		    = "Coffee";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_COFFEE].Weight	    = 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_COFFEE].Weight	    = 5;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_COFFEE].Cost			= 93;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_COFFEE].Cost			= 16;
}
	Goods[GOOD_COFFEE].Units	    = 1;
	Goods[GOOD_COFFEE].Swim.Model	= "sack";
	Goods[GOOD_COFFEE].Swim.Time	= 25;
	Goods[GOOD_COFFEE].AfraidWater = 3;
	Goods[GOOD_COFFEE].canbecontraband	= 1;

	Goods[GOOD_CHOCOLATE].Name		= "Chocolate";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_CHOCOLATE].Weight	= 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_CHOCOLATE].Weight	= 5;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_CHOCOLATE].Cost			= 50;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_CHOCOLATE].Cost			= 15;
}
	Goods[GOOD_CHOCOLATE].Units		= 1;
	Goods[GOOD_CHOCOLATE].Swim.Model= "bale";
	Goods[GOOD_CHOCOLATE].Swim.Time	= 25;
	Goods[GOOD_CHOCOLATE].AfraidWater = 3;
	Goods[GOOD_CHOCOLATE].canbecontraband	= 1;

	Goods[GOOD_TOBACCO].Name	    = "Tobacco";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_TOBACCO].Weight	    = 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_TOBACCO].Weight	    = 5;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_TOBACCO].Cost			= 65;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_TOBACCO].Cost			= 21;
}
	Goods[GOOD_TOBACCO].Units	    = 1;
	Goods[GOOD_TOBACCO].Swim.Model	= "bale";
	Goods[GOOD_TOBACCO].Swim.Time	= 25;
	Goods[GOOD_TOBACCO].AfraidWater = 3;
	Goods[GOOD_TOBACCO].canbecontraband	= 1;

	Goods[GOOD_SUGAR].Name		    = "Sugar";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_SUGAR].Weight	    = 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_SUGAR].Weight	    = 5;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_SUGAR].Cost			= 18;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_SUGAR].Cost			= 7;
}
	Goods[GOOD_SUGAR].Units		    = 1;
	Goods[GOOD_SUGAR].AfraidWater = 3;
	Goods[GOOD_SUGAR].canbecontraband	= 0;
	
	Goods[GOOD_WHEAT].Name		    = "Wheat";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_WHEAT].Weight	    = 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_WHEAT].Weight	    = 6;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_WHEAT].Cost			= 10;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_WHEAT].Cost			= 5;
}
	Goods[GOOD_WHEAT].Units		    = 1;
	Goods[GOOD_WHEAT].Swim.Model	= "sack";
	Goods[GOOD_WHEAT].Swim.Time		= 30;
	Goods[GOOD_WHEAT].AfraidWater = 3;
	Goods[GOOD_WHEAT].canbecontraband	= 0;

	Goods[GOOD_FLAX].Name		    = "Flax";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_FLAX].Weight	    = 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_FLAX].Weight	    = 5;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_FLAX].Cost			= 13;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_FLAX].Cost			= 6;
}
	Goods[GOOD_FLAX].Units		    = 1;
	Goods[GOOD_FLAX].Swim.Model	= "sack";
	Goods[GOOD_FLAX].Swim.Time		= 30;
	Goods[GOOD_FLAX].AfraidWater = 3;
	Goods[GOOD_FLAX].canbecontraband	= 0;

	Goods[GOOD_MILLET].Name		    = "Millet";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_MILLET].Weight	    = 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_MILLET].Weight	    = 5;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_MILLET].Cost			= 12;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_MILLET].Cost			= 6;
}
	Goods[GOOD_MILLET].Units		    = 1;
	Goods[GOOD_MILLET].Swim.Model	= "sack";
	Goods[GOOD_MILLET].Swim.Time		= 40;
	Goods[GOOD_MILLET].AfraidWater = 3;
	Goods[GOOD_MILLET].canbecontraband	= 0;

	Goods[GOOD_FISH].Name	        = "Fish";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_FISH].Weight	        = 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_FISH].Weight	        = 8;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_FISH].Cost			= 75;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_FISH].Cost			= 18;
}
	Goods[GOOD_FISH].Units	        = 1;
	Goods[GOOD_FISH].Swim.Model	    = "barrel";
	Goods[GOOD_FISH].Swim.Time	    = 45;
	Goods[GOOD_FISH].AfraidWater = 1;
	Goods[GOOD_FISH].canbecontraband	= 0;

	Goods[GOOD_LIVESTOCK].Name		= "Livestock";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_LIVESTOCK].Weight		= 3;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_LIVESTOCK].Weight		= 10;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_LIVESTOCK].Cost			= 118;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_LIVESTOCK].Cost			= 29;
}
	Goods[GOOD_LIVESTOCK].Units		= 1;
	Goods[GOOD_LIVESTOCK].AfraidWater 		= 0;
	Goods[GOOD_LIVESTOCK].canbecontraband	= 0;

	Goods[GOOD_VEGETABLES].Name		    = "Vegetables";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_VEGETABLES].Weight	    = 1;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_VEGETABLES].Weight	    = 6;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_VEGETABLES].Cost			= 21;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_VEGETABLES].Cost			= 6;
}
	Goods[GOOD_VEGETABLES].Units	    = 1;
	Goods[GOOD_VEGETABLES].Swim.Model	= "box";
	Goods[GOOD_VEGETABLES].Swim.Time	= 25;
	Goods[GOOD_VEGETABLES].AfraidWater = 3;
	Goods[GOOD_VEGETABLES].canbecontraband	= 0;

	Goods[GOOD_FRUITS].Name		    = "Fruits";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_FRUITS].Weight	    = 1;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_FRUITS].Weight	    = 7;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_FRUITS].Cost			= 16;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_FRUITS].Cost			= 5;
}
	Goods[GOOD_FRUITS].Units	    = 1;
	Goods[GOOD_FRUITS].Swim.Model	= "box";
	Goods[GOOD_FRUITS].Swim.Time	= 25;
	Goods[GOOD_FRUITS].AfraidWater = 3;
	Goods[GOOD_FRUITS].canbecontraband	= 0;

	Goods[GOOD_SALT].Name		    = "Salt";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_SALT].Weight	    = 1;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_SALT].Weight	    = 5;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_SALT].Cost			= 24;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_SALT].Cost			= 7;
}
	Goods[GOOD_SALT].Units		    = 1;
	Goods[GOOD_SALT].AfraidWater = 3;
	Goods[GOOD_SALT].canbecontraband	= 0;

	Goods[GOOD_HEMP].Name			= "Hemp";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_HEMP].Weight			= 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_HEMP].Weight			= 5;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_HEMP].Cost			= 15;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_HEMP].Cost			= 7;
}
	Goods[GOOD_HEMP].Units			= 1;
	Goods[GOOD_HEMP].Swim.Model		= "bale";
	Goods[GOOD_HEMP].Swim.Time		= 30;
	Goods[GOOD_HEMP].AfraidWater 		= 2;
	Goods[GOOD_HEMP].canbecontraband		= 0;

	Goods[GOOD_CINNAMON].Name	    = "Cinnamon";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_CINNAMON].Weight	    = 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_CINNAMON].Weight	    = 4;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_CINNAMON].Cost			= 37;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_CINNAMON].Cost			= 12;
}
	Goods[GOOD_CINNAMON].Units	    = 1;
	Goods[GOOD_CINNAMON].Swim.Model	= "bale";
	Goods[GOOD_CINNAMON].Swim.Time	= 25;
	Goods[GOOD_CINNAMON].AfraidWater = 3;
	Goods[GOOD_CINNAMON].canbecontraband	= 1;

	Goods[GOOD_COPRA].Name		    = "Copra";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_COPRA].Weight	    = 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_COPRA].Weight	    = 6;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_COPRA].Cost			= 28;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_COPRA].Cost			= 9;
}
	Goods[GOOD_COPRA].Units		    = 1;
	Goods[GOOD_COPRA].Swim.Model	= "basket";
	Goods[GOOD_COPRA].Swim.Time		= 30;
	Goods[GOOD_COPRA].AfraidWater = 3;
	Goods[GOOD_COPRA].canbecontraband	= 0;

	Goods[GOOD_PAPRIKA].Name	    = "Paprika";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_PAPRIKA].Weight	    = 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_PAPRIKA].Weight	    = 4;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_PAPRIKA].Cost			= 25;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_PAPRIKA].Cost			= 8;
}
	Goods[GOOD_PAPRIKA].Units	    = 1;
	Goods[GOOD_PAPRIKA].Swim.Model	= "box";
	Goods[GOOD_PAPRIKA].Swim.Time	= 25;
	Goods[GOOD_PAPRIKA].AfraidWater = 3;
	Goods[GOOD_PAPRIKA].canbecontraband	= 1;

	Goods[GOOD_GINGER].Name	    = "Ginger";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_GINGER].Weight	    = 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_GINGER].Weight	    = 5;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_GINGER].Cost			= 21;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_GINGER].Cost			= 9;
}
	Goods[GOOD_GINGER].Units	    = 1;
	Goods[GOOD_GINGER].Swim.Model	= "bale";
	Goods[GOOD_GINGER].Swim.Time	= 35;
	Goods[GOOD_GINGER].AfraidWater = 3;
	Goods[GOOD_GINGER].canbecontraband	= 1;

	Goods[GOOD_NUTMEG].Name		    = "Nutmeg";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_NUTMEG].Weight	    = 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_NUTMEG].Weight	    = 5;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_NUTMEG].Cost			= 19;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_NUTMEG].Cost			= 7;
}
	Goods[GOOD_NUTMEG].Units		    = 1;
	Goods[GOOD_NUTMEG].Swim.Model	= "basket";
	Goods[GOOD_NUTMEG].Swim.Time		= 30;
	Goods[GOOD_NUTMEG].AfraidWater = 3;
	Goods[GOOD_NUTMEG].canbecontraband	= 0;

	Goods[GOOD_PEPPERCORN].Name	    = "Peppercorn";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_PEPPERCORN].Weight	    = 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_PEPPERCORN].Weight	    = 5;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_PEPPERCORN].Cost			= 23;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_PEPPERCORN].Cost			= 7;
}
	Goods[GOOD_PEPPERCORN].Units	    = 1;
	Goods[GOOD_PEPPERCORN].Swim.Model	= "bale";
	Goods[GOOD_PEPPERCORN].Swim.Time	= 25;
	Goods[GOOD_PEPPERCORN].AfraidWater = 3;
	Goods[GOOD_PEPPERCORN].canbecontraband	= 1;
	
	Goods[GOOD_CHILIS].Name		= "Chilis";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_CHILIS].Weight	= 1;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_CHILIS].Weight	= 5;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_CHILIS].Cost			= 25;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_CHILIS].Cost			= 8;
}
	Goods[GOOD_CHILIS].Units		= 1;
	Goods[GOOD_CHILIS].Swim.Model= "bale";
	Goods[GOOD_CHILIS].Swim.Time	= 25;
	Goods[GOOD_CHILIS].AfraidWater = 3;
	Goods[GOOD_CHILIS].canbecontraband	= 1;

	Goods[GOOD_BASIL].Name		    = "Basil";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_BASIL].Weight	    = 1;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_BASIL].Weight	    = 5;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_BASIL].Cost			= 25;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_BASIL].Cost			= 7;
}
	Goods[GOOD_BASIL].Units		    = 1;
	Goods[GOOD_BASIL].Swim.Model	= "sack";
	Goods[GOOD_BASIL].Swim.Time		= 35;
	Goods[GOOD_BASIL].AfraidWater = 3;
	Goods[GOOD_BASIL].canbecontraband	= 0;

	Goods[GOOD_ALMONDS].Name	    = "Almonds";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_ALMONDS].Weight	    = 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_ALMONDS].Weight	    = 6;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_ALMONDS].Cost			= 33;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_ALMONDS].Cost			= 10;
}
	Goods[GOOD_ALMONDS].Units	    = 1;
	Goods[GOOD_ALMONDS].Swim.Model	= "bale";
	Goods[GOOD_ALMONDS].Swim.Time	= 20;
	Goods[GOOD_ALMONDS].AfraidWater = 2;
	Goods[GOOD_ALMONDS].canbecontraband	= 1;

	Goods[GOOD_WINE].Name		    = "Wine";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_WINE].Weight	        = 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_WINE].Weight	        = 8;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_WINE].Cost			= 45;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_WINE].Cost			= 17;
}
	Goods[GOOD_WINE].Units		    = 1;
	Goods[GOOD_WINE].AfraidWater = 1;
	Goods[GOOD_WINE].canbecontraband	= 0;

	Goods[GOOD_ALE].Name	        = "Ale";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_ALE].Weight	        = 1;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_ALE].Weight	        = 8;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_ALE].Cost			= 7;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_ALE].Cost			= 3;
}
	Goods[GOOD_ALE].Units	        = 1;
	Goods[GOOD_ALE].Swim.Model	    = "barrel";
	Goods[GOOD_ALE].Swim.Time	    = 30;
	Goods[GOOD_ALE].AfraidWater = 1;
	Goods[GOOD_ALE].canbecontraband	= 0;
	
	Goods[GOOD_GIN].Name	        = "Gin";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_GIN].Weight	        = 1;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_GIN].Weight	        = 8;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_GIN].Cost			= 18;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_GIN].Cost			= 7;
}
	Goods[GOOD_GIN].Units	        = 1;
	Goods[GOOD_GIN].Swim.Model	    = "barrel";
	Goods[GOOD_GIN].Swim.Time	    = 30;
	Goods[GOOD_GIN].AfraidWater = 1;
	Goods[GOOD_GIN].canbecontraband	= 0;

	Goods[GOOD_BRANDY].Name		    = "Brandy";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_BRANDY].Weight	        = 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_BRANDY].Weight	        = 8;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_BRANDY].Cost			= 36;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_BRANDY].Cost			= 7;
}
	Goods[GOOD_BRANDY].Units		    = 1;
	Goods[GOOD_BRANDY].Swim.Model 	 	= "barrel";
	Goods[GOOD_BRANDY].Swim.Time		= 30;
	Goods[GOOD_BRANDY].AfraidWater = 1;
	Goods[GOOD_BRANDY].canbecontraband	= 0;	

	Goods[GOOD_MOLASES].Name	        = "Molases";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_MOLASES].Weight	        = 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_MOLASES].Weight	        = 5;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_MOLASES].Cost			= 23;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_MOLASES].Cost			= 8;
}
	Goods[GOOD_MOLASES].Units	        = 1;
	Goods[GOOD_MOLASES].AfraidWater = 0;
	Goods[GOOD_MOLASES].canbecontraband	= 1;

	Goods[GOOD_PAPER].Name		= "Paper";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_PAPER].Weight	= 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_PAPER].Weight	= 6;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_PAPER].Cost			= 41;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_PAPER].Cost			= 14;
}
	Goods[GOOD_PAPER].Units		= 1;
	Goods[GOOD_PAPER].Swim.Model= "roll_of_materials";
	Goods[GOOD_PAPER].Swim.Time	= 45; 
	Goods[GOOD_PAPER].AfraidWater = 0;
	Goods[GOOD_PAPER].canbecontraband	= 0;

	Goods[GOOD_LEATHER].Name	    = "Leather";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_LEATHER].Weight	    = 1;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_LEATHER].Weight	    = 5;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_LEATHER].Cost			= 14;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_LEATHER].Cost			= 9;
}
	Goods[GOOD_LEATHER].Units	    = 1;
	Goods[GOOD_LEATHER].Swim.Model	= "bale";
	Goods[GOOD_LEATHER].Swim.Time	= 30;
	Goods[GOOD_LEATHER].AfraidWater = 1;
	Goods[GOOD_LEATHER].canbecontraband	= 0;

	Goods[GOOD_TIMBERS].Name	    = "Timbers";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_TIMBERS].Weight	    = 4;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_TIMBERS].Weight	    = 9;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_TIMBERS].Cost			= 225;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_TIMBERS].Cost			= 30;
}
	Goods[GOOD_TIMBERS].Units	    = 1;
	Goods[GOOD_TIMBERS].Swim.Model	= "roll_of_planks";
	Goods[GOOD_TIMBERS].Swim.Time	= 45;
	Goods[GOOD_TIMBERS].AfraidWater = 1;
	Goods[GOOD_TIMBERS].canbecontraband	= 0;

	Goods[GOOD_EBONY].Name		    = "Ebony";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_EBONY].Weight	    = 5;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_EBONY].Weight	    = 10;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_EBONY].Cost			= 190;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_EBONY].Cost			= 32;
}
	Goods[GOOD_EBONY].Units		    = 1;
	Goods[GOOD_EBONY].AfraidWater = 1;
	Goods[GOOD_EBONY].canbecontraband	= 1;

	Goods[GOOD_MAHOGANY].Name	    = "Mahogany";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_MAHOGANY].Weight	    = 4;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_MAHOGANY].Weight	    = 9;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_MAHOGANY].Cost			= 250;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_MAHOGANY].Cost			= 49;
}
	Goods[GOOD_MAHOGANY].Units	    = 1;
	Goods[GOOD_MAHOGANY].Swim.Model	= "roll_of_planks";
	Goods[GOOD_MAHOGANY].Swim.Time	= 45;
	Goods[GOOD_MAHOGANY].AfraidWater = 1;
	Goods[GOOD_MAHOGANY].canbecontraband	= 1;

	Goods[GOOD_SANDAL].Name		    = "Sandal";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_SANDAL].Weight	    = 3;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_SANDAL].Weight	    = 9;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_SANDAL].Cost			= 160;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_SANDAL].Cost			= 30;
}
	Goods[GOOD_SANDAL].Units	    = 1;
	Goods[GOOD_SANDAL].Swim.Model	= "box";
	Goods[GOOD_SANDAL].Swim.Time	= 45;
	Goods[GOOD_SANDAL].AfraidWater = 1;
	Goods[GOOD_SANDAL].canbecontraband	= 1;

	Goods[GOOD_OIL].Name	        = "Oil";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_OIL].Weight	        = 1;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_OIL].Weight	        = 7;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_OIL].Cost			= 10;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_OIL].Cost			= 3;
}
	Goods[GOOD_OIL].Units	        = 1;
	Goods[GOOD_OIL].AfraidWater = 0;
	Goods[GOOD_OIL].canbecontraband	= 1;
	
	Goods[GOOD_VINEGAR].Name	        = "Vinegar";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_VINEGAR].Weight	        = 1;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_VINEGAR].Weight	        = 7;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_VINEGAR].Cost			= 17;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_VINEGAR].Cost			= 4;
}
	Goods[GOOD_VINEGAR].Units	        = 1;
	Goods[GOOD_VINEGAR].AfraidWater = 0;
	Goods[GOOD_VINEGAR].canbecontraband	= 1;

	Goods[GOOD_BRICK].Name	        = "Brick";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_BRICK].Weight        = 6;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_BRICK].Weight        = 6;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_BRICK].Cost			= 16;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_BRICK].Cost			= 4;
}
	Goods[GOOD_BRICK].Units	        = 1;
	Goods[GOOD_BRICK].AfraidWater = 0;
	Goods[GOOD_BRICK].canbecontraband	= 1;

	Goods[GOOD_POTTERY].Name	    = "Pottery";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_POTTERY].Weight	    = 3;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_POTTERY].Weight	    = 6;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_POTTERY].Cost			= 25;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_POTTERY].Cost			= 7;
}
	Goods[GOOD_POTTERY].Units	    = 1;
	Goods[GOOD_POTTERY].Swim.Model	= "box";
	Goods[GOOD_POTTERY].Swim.Time	= 15;
	Goods[GOOD_POTTERY].AfraidWater = 1;
	Goods[GOOD_POTTERY].canbecontraband	= 0;

	Goods[GOOD_PITCH].Name	        = "Pitch";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_PITCH].Weight	        = 3;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_PITCH].Weight	        = 6;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_PITCH].Cost			= 39;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_PITCH].Cost			= 5;
}
	Goods[GOOD_PITCH].Units	        = 1;
	Goods[GOOD_PITCH].AfraidWater = 0;
	Goods[GOOD_PITCH].canbecontraband	= 0;

	Goods[GOOD_SOAP].Name		    = "Soap";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_SOAP].Weight	    = 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_SOAP].Weight	    = 5;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_SOAP].Cost			= 65;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_SOAP].Cost			= 16;
}
	Goods[GOOD_SOAP].Units	    = 1;
	Goods[GOOD_SOAP].Swim.Model	= "box";
	Goods[GOOD_SOAP].Swim.Time	= 24;
	Goods[GOOD_SOAP].AfraidWater = 1;
	Goods[GOOD_SOAP].canbecontraband	= 1;

	Goods[GOOD_DYES].Name	        = "Dyes";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_DYES].Weight	        = 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_DYES].Weight	        = 6;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_DYES].Cost			= 95;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_DYES].Cost			= 17;
}
	Goods[GOOD_DYES].Units	        = 1;
	Goods[GOOD_DYES].AfraidWater = 0;
	Goods[GOOD_DYES].canbecontraband	= 1;	

	Goods[GOOD_TOOLS].Name		    = "Tools";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_TOOLS].Weight	    = 4;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_TOOLS].Weight	    = 5;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_TOOLS].Cost			= 120;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_TOOLS].Cost			= 29;
}
	Goods[GOOD_TOOLS].Units	    = 1;
	Goods[GOOD_TOOLS].AfraidWater = 0;
	Goods[GOOD_TOOLS].canbecontraband	= 0;
	
	Goods[GOOD_IVORY].Name		    = "Ivory";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_IVORY].Weight	    = 3;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_IVORY].Weight	    = 9;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_IVORY].Cost			= 135;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_IVORY].Cost			= 31;
}
	Goods[GOOD_IVORY].Units	    = 1;
	Goods[GOOD_IVORY].Swim.Model	= "box";
	Goods[GOOD_IVORY].Swim.Time	= 35;
	Goods[GOOD_IVORY].AfraidWater = 1;
	Goods[GOOD_IVORY].canbecontraband	= 1;
		
	Goods[GOOD_SLAVES].Name		    = "Slaves";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_SLAVES].Weight	    = 1;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_SLAVES].Weight	    = 5;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_SLAVES].Cost			= 110;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_SLAVES].Cost			= 39;
}
	Goods[GOOD_SLAVES].Units	    = 1;
	Goods[GOOD_SLAVES].Swim.Model	= "lo_man";
	Goods[GOOD_SLAVES].Swim.Time	= 45;
	Goods[GOOD_SLAVES].AfraidWater = 0;
	Goods[GOOD_SLAVES].canbecontraband	= 1;

	Goods[GOOD_GOLD].Name		    = "Gold";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_GOLD].Weight	        = 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_GOLD].Weight	        = 9;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_GOLD].Cost			= 510;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_GOLD].Cost			= 130;
}
	Goods[GOOD_GOLD].Units	        = 1;
	Goods[GOOD_GOLD].AfraidWater = 0;
	Goods[GOOD_GOLD].canbecontraband	= 0;
	
	Goods[GOOD_SILVER].Name		    = "Silver";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_SILVER].Weight	    = 1;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_SILVER].Weight	    = 8;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_SILVER].Cost			= 230;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_SILVER].Cost			= 60;
}
	Goods[GOOD_SILVER].Units	    = 1;
	Goods[GOOD_SILVER].AfraidWater = 0;
	Goods[GOOD_SILVER].canbecontraband	= 0;

	Goods[GOOD_COPPER].Name			= "Copper";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_COPPER].Weight		= 2;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_COPPER].Weight		= 8;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_COPPER].Cost			= 190;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_COPPER].Cost			= 56;
}
	Goods[GOOD_COPPER].Units		= 1;
	Goods[GOOD_COPPER].AfraidWater		= 0;
	Goods[GOOD_COPPER].canbecontraband	= 0;
	
	Goods[GOOD_IRON].Name	    		= "Iron";
	if(!Realistic_Weights) // = If Realistic Weights is NOT enabled
{
	Goods[GOOD_IRON].Weight	    		= 3;
}
	else // = If Realistic Weights IS enabled
	{
	Goods[GOOD_IRON].Weight	    		= 12;
}
	if(!Realistic_Costs) // = If Realistic Costs is NOT enabled
{
	Goods[GOOD_IRON].Cost			= 310;
}
	else // = If Realistic Costs IS enabled
	{
	Goods[GOOD_IRON].Cost			= 97;
}
	Goods[GOOD_IRON].Units	   		= 1;
	Goods[GOOD_IRON].AfraidWater 		= 0;
	Goods[GOOD_IRON].canbecontraband	= 0;
	
	////////////////////////////////////////////////////// пушки это товар - boal 27/07/06	
	Goods[GOOD_CANNON_4].Name			= "Cannon_4";
	Goods[GOOD_CANNON_4].CannonIdx		= CANNON_TYPE_CANNON_LBS4;
	Goods[GOOD_CANNON_4].Cost			= Cannon[CANNON_TYPE_CANNON_LBS4].Cost;
	Goods[GOOD_CANNON_4].Weight		= Cannon[CANNON_TYPE_CANNON_LBS4].Weight;
	Goods[GOOD_CANNON_4].FireRange		    = Cannon[CANNON_TYPE_CANNON_LBS4].FireRange;
	Goods[GOOD_CANNON_4].DamageMultiply	= Cannon[CANNON_TYPE_CANNON_LBS4].DamageMultiply;
	Goods[GOOD_CANNON_4].ReloadTime		= sti(GetCannonReloadTime(&Cannon[CANNON_TYPE_CANNON_LBS4]));
	Goods[GOOD_CANNON_4].Units			= 1;
	Goods[GOOD_CANNON_4].AfraidWater	= 0;
	Goods[GOOD_CANNON_4].type				= TRADE_TYPE_CANNONS;
	Goods[GOOD_CANNON_4].canbecontraband	= 0;
	
	Goods[GOOD_CANNON_8].Name			= "Cannon_8";
	Goods[GOOD_CANNON_8].CannonIdx		= CANNON_TYPE_CANNON_LBS8;
	Goods[GOOD_CANNON_8].Cost			= Cannon[CANNON_TYPE_CANNON_LBS8].Cost;
	Goods[GOOD_CANNON_8].Weight		= Cannon[CANNON_TYPE_CANNON_LBS8].Weight;
	Goods[GOOD_CANNON_8].FireRange		    = Cannon[CANNON_TYPE_CANNON_LBS8].FireRange;
	Goods[GOOD_CANNON_8].DamageMultiply	= Cannon[CANNON_TYPE_CANNON_LBS8].DamageMultiply;
	Goods[GOOD_CANNON_8].ReloadTime		= sti(GetCannonReloadTime(&Cannon[CANNON_TYPE_CANNON_LBS8]));
	Goods[GOOD_CANNON_8].Units			= 1;
	Goods[GOOD_CANNON_8].AfraidWater	= 0;
	Goods[GOOD_CANNON_8].type				= TRADE_TYPE_CANNONS;
	Goods[GOOD_CANNON_8].canbecontraband	= 0;
	
	Goods[GOOD_CANNON_12].Name			= "Cannon_12";
	Goods[GOOD_CANNON_12].CannonIdx		= CANNON_TYPE_CANNON_LBS12;
	Goods[GOOD_CANNON_12].Cost			= Cannon[CANNON_TYPE_CANNON_LBS12].Cost;
	Goods[GOOD_CANNON_12].Weight		= Cannon[CANNON_TYPE_CANNON_LBS12].Weight;
	Goods[GOOD_CANNON_12].FireRange		    = Cannon[CANNON_TYPE_CANNON_LBS12].FireRange;
	Goods[GOOD_CANNON_12].DamageMultiply	= Cannon[CANNON_TYPE_CANNON_LBS12].DamageMultiply;
	Goods[GOOD_CANNON_12].ReloadTime		= sti(GetCannonReloadTime(&Cannon[CANNON_TYPE_CANNON_LBS12]));
	Goods[GOOD_CANNON_12].Units			= 1;
	Goods[GOOD_CANNON_12].AfraidWater	= 0;
	Goods[GOOD_CANNON_12].type				= TRADE_TYPE_CANNONS;
	Goods[GOOD_CANNON_12].canbecontraband	= 0;
	
	Goods[GOOD_CANNON_16].Name			= "Cannon_16";
	Goods[GOOD_CANNON_16].CannonIdx		= CANNON_TYPE_CANNON_LBS16;
	Goods[GOOD_CANNON_16].Cost			= Cannon[CANNON_TYPE_CANNON_LBS16].Cost;
	Goods[GOOD_CANNON_16].Weight		= Cannon[CANNON_TYPE_CANNON_LBS16].Weight;
	Goods[GOOD_CANNON_16].Units			= 1;
	Goods[GOOD_CANNON_16].AfraidWater	= 0;
	Goods[GOOD_CANNON_16].type				= TRADE_TYPE_CANNONS;
	Goods[GOOD_CANNON_16].canbecontraband	= 0;
	Goods[GOOD_CANNON_16].FireRange		    = Cannon[CANNON_TYPE_CANNON_LBS16].FireRange;
	Goods[GOOD_CANNON_16].DamageMultiply	= Cannon[CANNON_TYPE_CANNON_LBS16].DamageMultiply;
	Goods[GOOD_CANNON_16].ReloadTime		= sti(GetCannonReloadTime(&Cannon[CANNON_TYPE_CANNON_LBS16]));
	
	Goods[GOOD_CANNON_20].Name			= "Cannon_20";
	Goods[GOOD_CANNON_20].CannonIdx		= CANNON_TYPE_CANNON_LBS20;
	Goods[GOOD_CANNON_20].Cost			= Cannon[CANNON_TYPE_CANNON_LBS20].Cost;
	Goods[GOOD_CANNON_20].Weight		= Cannon[CANNON_TYPE_CANNON_LBS20].Weight;
	Goods[GOOD_CANNON_20].FireRange		    = Cannon[CANNON_TYPE_CANNON_LBS20].FireRange;
	Goods[GOOD_CANNON_20].DamageMultiply	= Cannon[CANNON_TYPE_CANNON_LBS20].DamageMultiply;
	Goods[GOOD_CANNON_20].ReloadTime		= sti(GetCannonReloadTime(&Cannon[CANNON_TYPE_CANNON_LBS20]));
	Goods[GOOD_CANNON_20].Units			= 1;
	Goods[GOOD_CANNON_20].AfraidWater	= 0;
	Goods[GOOD_CANNON_20].type				= TRADE_TYPE_CANNONS;
	Goods[GOOD_CANNON_20].canbecontraband	= 0;
	
	Goods[GOOD_CANNON_24].Name			= "Cannon_24";
	Goods[GOOD_CANNON_24].CannonIdx		= CANNON_TYPE_CANNON_LBS24;
	Goods[GOOD_CANNON_24].Cost			= Cannon[CANNON_TYPE_CANNON_LBS24].Cost;
	Goods[GOOD_CANNON_24].Weight		= Cannon[CANNON_TYPE_CANNON_LBS24].Weight;
	Goods[GOOD_CANNON_24].Units			= 1;
	Goods[GOOD_CANNON_24].AfraidWater	= 0;
	Goods[GOOD_CANNON_24].type				= TRADE_TYPE_CANNONS;
	Goods[GOOD_CANNON_24].canbecontraband	= 0;
	Goods[GOOD_CANNON_24].FireRange		    = Cannon[CANNON_TYPE_CANNON_LBS24].FireRange;
	Goods[GOOD_CANNON_24].DamageMultiply	= Cannon[CANNON_TYPE_CANNON_LBS24].DamageMultiply;
	Goods[GOOD_CANNON_24].ReloadTime		= sti(GetCannonReloadTime(&Cannon[CANNON_TYPE_CANNON_LBS24]));
	
	Goods[GOOD_CANNON_28].Name			= "Cannon_28";
	Goods[GOOD_CANNON_28].CannonIdx		= CANNON_TYPE_CANNON_LBS28;
	Goods[GOOD_CANNON_28].Cost			= Cannon[CANNON_TYPE_CANNON_LBS28].Cost;
	Goods[GOOD_CANNON_28].Weight		= Cannon[CANNON_TYPE_CANNON_LBS28].Weight;
	Goods[GOOD_CANNON_28].FireRange		    = Cannon[CANNON_TYPE_CANNON_LBS28].FireRange;
	Goods[GOOD_CANNON_28].DamageMultiply	= Cannon[CANNON_TYPE_CANNON_LBS28].DamageMultiply;
	Goods[GOOD_CANNON_28].ReloadTime		= sti(GetCannonReloadTime(&Cannon[CANNON_TYPE_CANNON_LBS28]));
	Goods[GOOD_CANNON_28].Units			= 1;
	Goods[GOOD_CANNON_28].AfraidWater	= 0;
	Goods[GOOD_CANNON_28].type				= TRADE_TYPE_CANNONS;
	Goods[GOOD_CANNON_28].canbecontraband	= 0;
	
	Goods[GOOD_CANNON_32].Name			= "Cannon_32";
	Goods[GOOD_CANNON_32].CannonIdx		= CANNON_TYPE_CANNON_LBS32;
	Goods[GOOD_CANNON_32].Cost			= Cannon[CANNON_TYPE_CANNON_LBS32].Cost;
	Goods[GOOD_CANNON_32].Weight		= Cannon[CANNON_TYPE_CANNON_LBS32].Weight;
	Goods[GOOD_CANNON_32].Units			= 1;
	Goods[GOOD_CANNON_32].AfraidWater	= 0;
	Goods[GOOD_CANNON_32].type				= TRADE_TYPE_CANNONS;
	Goods[GOOD_CANNON_32].canbecontraband	= 0;
	Goods[GOOD_CANNON_32].FireRange		    = Cannon[CANNON_TYPE_CANNON_LBS32].FireRange;
	Goods[GOOD_CANNON_32].DamageMultiply	= Cannon[CANNON_TYPE_CANNON_LBS32].DamageMultiply;
	Goods[GOOD_CANNON_32].ReloadTime		= sti(GetCannonReloadTime(&Cannon[CANNON_TYPE_CANNON_LBS32]));
	
	Goods[GOOD_CANNON_36].Name			= "Cannon_36";
	Goods[GOOD_CANNON_36].CannonIdx		= CANNON_TYPE_CANNON_LBS36;
	Goods[GOOD_CANNON_36].Cost			= Cannon[CANNON_TYPE_CANNON_LBS36].Cost;
	Goods[GOOD_CANNON_36].Weight		= Cannon[CANNON_TYPE_CANNON_LBS36].Weight;
	Goods[GOOD_CANNON_36].FireRange		    = Cannon[CANNON_TYPE_CANNON_LBS36].FireRange;
	Goods[GOOD_CANNON_36].DamageMultiply	= Cannon[CANNON_TYPE_CANNON_LBS36].DamageMultiply;
	Goods[GOOD_CANNON_36].ReloadTime		= sti(GetCannonReloadTime(&Cannon[CANNON_TYPE_CANNON_LBS36]));
	Goods[GOOD_CANNON_36].Units			= 1;
	Goods[GOOD_CANNON_36].AfraidWater	= 0;
	Goods[GOOD_CANNON_36].type				= TRADE_TYPE_CANNONS;
	Goods[GOOD_CANNON_36].canbecontraband	= 0;
	
	Goods[GOOD_CANNON_42].Name			= "Cannon_42";
	Goods[GOOD_CANNON_42].CannonIdx		= CANNON_TYPE_CANNON_LBS42;
	Goods[GOOD_CANNON_42].Cost			= Cannon[CANNON_TYPE_CANNON_LBS42].Cost;
	Goods[GOOD_CANNON_42].Weight		= Cannon[CANNON_TYPE_CANNON_LBS42].Weight;
	Goods[GOOD_CANNON_42].Units			= 1;
	Goods[GOOD_CANNON_42].AfraidWater	= 0;
	Goods[GOOD_CANNON_42].type				= TRADE_TYPE_CANNONS;
	Goods[GOOD_CANNON_42].canbecontraband	= 0;
	Goods[GOOD_CANNON_42].FireRange		    = Cannon[CANNON_TYPE_CANNON_LBS42].FireRange;
	Goods[GOOD_CANNON_42].DamageMultiply	= Cannon[CANNON_TYPE_CANNON_LBS42].DamageMultiply;
	Goods[GOOD_CANNON_42].ReloadTime		= sti(GetCannonReloadTime(&Cannon[CANNON_TYPE_CANNON_LBS42]));
	
	Goods[GOOD_CANNON_48].Name			= "Cannon_48";
	Goods[GOOD_CANNON_48].CannonIdx		= CANNON_TYPE_CANNON_LBS48;
	Goods[GOOD_CANNON_48].Cost			= Cannon[CANNON_TYPE_CANNON_LBS48].Cost;
	Goods[GOOD_CANNON_48].Weight		= Cannon[CANNON_TYPE_CANNON_LBS48].Weight;
	Goods[GOOD_CANNON_48].FireRange		    = Cannon[CANNON_TYPE_CANNON_LBS48].FireRange;
	Goods[GOOD_CANNON_48].DamageMultiply	= Cannon[CANNON_TYPE_CANNON_LBS48].DamageMultiply;
	Goods[GOOD_CANNON_48].ReloadTime		= sti(GetCannonReloadTime(&Cannon[CANNON_TYPE_CANNON_LBS48]));
	Goods[GOOD_CANNON_48].Units			= 1;
	Goods[GOOD_CANNON_48].AfraidWater	= 0;
	Goods[GOOD_CANNON_48].type				= TRADE_TYPE_CANNONS;
	Goods[GOOD_CANNON_48].canbecontraband	= 0;

	Goods[GOOD_CULVERINE_4].Name			 = "Culverine_4";
	Goods[GOOD_CULVERINE_4].CannonIdx	 	 = CANNON_TYPE_CULVERINE_LBS4;
	Goods[GOOD_CULVERINE_4].Cost			 = Cannon[CANNON_TYPE_CULVERINE_LBS4].Cost;
	Goods[GOOD_CULVERINE_4].Weight			 = Cannon[CANNON_TYPE_CULVERINE_LBS4].Weight;
	Goods[GOOD_CULVERINE_4].Units			 = 1;
	Goods[GOOD_CULVERINE_4].AfraidWater	 = 0;
	Goods[GOOD_CULVERINE_4].type			 = TRADE_TYPE_CANNONS;
	Goods[GOOD_CULVERINE_4].canbecontraband = 0;
	Goods[GOOD_CULVERINE_4].FireRange		    = Cannon[CANNON_TYPE_CULVERINE_LBS4].FireRange;
	Goods[GOOD_CULVERINE_4].DamageMultiply	= Cannon[CANNON_TYPE_CULVERINE_LBS4].DamageMultiply;
	Goods[GOOD_CULVERINE_4].ReloadTime		= sti(GetCannonReloadTime(&Cannon[CANNON_TYPE_CULVERINE_LBS4]));
	
	Goods[GOOD_CULVERINE_8].Name			 = "Culverine_8";
	Goods[GOOD_CULVERINE_8].CannonIdx	 	 = CANNON_TYPE_CULVERINE_LBS8;
	Goods[GOOD_CULVERINE_8].Cost			 = Cannon[CANNON_TYPE_CULVERINE_LBS8].Cost;
	Goods[GOOD_CULVERINE_8].Weight			 = Cannon[CANNON_TYPE_CULVERINE_LBS8].Weight;
	Goods[GOOD_CULVERINE_8].Units			 = 1;
	Goods[GOOD_CULVERINE_8].AfraidWater	 = 0;
	Goods[GOOD_CULVERINE_8].type			 = TRADE_TYPE_CANNONS;
	Goods[GOOD_CULVERINE_8].canbecontraband = 0;
	Goods[GOOD_CULVERINE_8].FireRange		    = Cannon[CANNON_TYPE_CULVERINE_LBS8].FireRange;
	Goods[GOOD_CULVERINE_8].DamageMultiply	= Cannon[CANNON_TYPE_CULVERINE_LBS8].DamageMultiply;
	Goods[GOOD_CULVERINE_8].ReloadTime		= sti(GetCannonReloadTime(&Cannon[CANNON_TYPE_CULVERINE_LBS8]));
	
	Goods[GOOD_CULVERINE_12].Name			 = "Culverine_12";
	Goods[GOOD_CULVERINE_12].CannonIdx	 	 = CANNON_TYPE_CULVERINE_LBS12;
	Goods[GOOD_CULVERINE_12].Cost			 = Cannon[CANNON_TYPE_CULVERINE_LBS12].Cost;
	Goods[GOOD_CULVERINE_12].Weight			 = Cannon[CANNON_TYPE_CULVERINE_LBS12].Weight;
	Goods[GOOD_CULVERINE_12].Units			 = 1;
	Goods[GOOD_CULVERINE_12].AfraidWater	 = 0;
	Goods[GOOD_CULVERINE_12].type			 = TRADE_TYPE_CANNONS;
	Goods[GOOD_CULVERINE_12].canbecontraband = 0;
	Goods[GOOD_CULVERINE_12].FireRange		    = Cannon[CANNON_TYPE_CULVERINE_LBS12].FireRange;
	Goods[GOOD_CULVERINE_12].DamageMultiply	= Cannon[CANNON_TYPE_CULVERINE_LBS12].DamageMultiply;
	Goods[GOOD_CULVERINE_12].ReloadTime		= sti(GetCannonReloadTime(&Cannon[CANNON_TYPE_CULVERINE_LBS12]));
	
	Goods[GOOD_CULVERINE_16].Name			 = "Culverine_16";
	Goods[GOOD_CULVERINE_16].CannonIdx	 	 = CANNON_TYPE_CULVERINE_LBS16;
	Goods[GOOD_CULVERINE_16].Cost			 = Cannon[CANNON_TYPE_CULVERINE_LBS16].Cost;
	Goods[GOOD_CULVERINE_16].Weight			 = Cannon[CANNON_TYPE_CULVERINE_LBS16].Weight;
	Goods[GOOD_CULVERINE_16].Units			 = 1;
	Goods[GOOD_CULVERINE_16].AfraidWater	 = 0;
	Goods[GOOD_CULVERINE_16].type			 = TRADE_TYPE_CANNONS;
	Goods[GOOD_CULVERINE_16].canbecontraband = 0;
	Goods[GOOD_CULVERINE_16].FireRange		    = Cannon[CANNON_TYPE_CULVERINE_LBS16].FireRange;
	Goods[GOOD_CULVERINE_16].DamageMultiply	= Cannon[CANNON_TYPE_CULVERINE_LBS16].DamageMultiply;
	Goods[GOOD_CULVERINE_16].ReloadTime		= sti(GetCannonReloadTime(&Cannon[CANNON_TYPE_CULVERINE_LBS16]));
	
	Goods[GOOD_CULVERINE_20].Name			 = "Culverine_20";
	Goods[GOOD_CULVERINE_20].CannonIdx	 	 = CANNON_TYPE_CULVERINE_LBS20;
	Goods[GOOD_CULVERINE_20].Cost			 = Cannon[CANNON_TYPE_CULVERINE_LBS20].Cost;
	Goods[GOOD_CULVERINE_20].Weight			 = Cannon[CANNON_TYPE_CULVERINE_LBS20].Weight;
	Goods[GOOD_CULVERINE_20].Units			 = 1;
	Goods[GOOD_CULVERINE_20].AfraidWater	 = 0;
	Goods[GOOD_CULVERINE_20].type			 = TRADE_TYPE_CANNONS;
	Goods[GOOD_CULVERINE_20].canbecontraband = 0;
	Goods[GOOD_CULVERINE_20].FireRange		    = Cannon[CANNON_TYPE_CULVERINE_LBS20].FireRange;
	Goods[GOOD_CULVERINE_20].DamageMultiply	= Cannon[CANNON_TYPE_CULVERINE_LBS20].DamageMultiply;
	Goods[GOOD_CULVERINE_20].ReloadTime		= sti(GetCannonReloadTime(&Cannon[CANNON_TYPE_CULVERINE_LBS20]));
	
	Goods[GOOD_CULVERINE_24].Name			 = "Culverine_24";
	Goods[GOOD_CULVERINE_24].CannonIdx	 	 = CANNON_TYPE_CULVERINE_LBS24;
	Goods[GOOD_CULVERINE_24].Cost			 = Cannon[CANNON_TYPE_CULVERINE_LBS24].Cost;
	Goods[GOOD_CULVERINE_24].Weight			 = Cannon[CANNON_TYPE_CULVERINE_LBS24].Weight;
	Goods[GOOD_CULVERINE_24].Units			 = 1;
	Goods[GOOD_CULVERINE_24].AfraidWater	 = 0;
	Goods[GOOD_CULVERINE_24].type			 = TRADE_TYPE_CANNONS;
	Goods[GOOD_CULVERINE_24].canbecontraband = 0;
	Goods[GOOD_CULVERINE_24].FireRange		    = Cannon[CANNON_TYPE_CULVERINE_LBS24].FireRange;
	Goods[GOOD_CULVERINE_24].DamageMultiply	= Cannon[CANNON_TYPE_CULVERINE_LBS24].DamageMultiply;
	Goods[GOOD_CULVERINE_24].ReloadTime		= sti(GetCannonReloadTime(&Cannon[CANNON_TYPE_CULVERINE_LBS24]));
	
	Goods[GOOD_CULVERINE_28].Name			 = "Culverine_28";
	Goods[GOOD_CULVERINE_28].CannonIdx	 	 = CANNON_TYPE_CULVERINE_LBS28;
	Goods[GOOD_CULVERINE_28].Cost			 = Cannon[CANNON_TYPE_CULVERINE_LBS28].Cost;
	Goods[GOOD_CULVERINE_28].Weight			 = Cannon[CANNON_TYPE_CULVERINE_LBS28].Weight;
	Goods[GOOD_CULVERINE_28].Units			 = 1;
	Goods[GOOD_CULVERINE_28].AfraidWater	 = 0;
	Goods[GOOD_CULVERINE_28].type			 = TRADE_TYPE_CANNONS;
	Goods[GOOD_CULVERINE_28].canbecontraband = 0;
	Goods[GOOD_CULVERINE_28].FireRange		    = Cannon[CANNON_TYPE_CULVERINE_LBS28].FireRange;
	Goods[GOOD_CULVERINE_28].DamageMultiply	= Cannon[CANNON_TYPE_CULVERINE_LBS28].DamageMultiply;
	Goods[GOOD_CULVERINE_28].ReloadTime		= sti(GetCannonReloadTime(&Cannon[CANNON_TYPE_CULVERINE_LBS28]));
	
	Goods[GOOD_CULVERINE_32].Name			 = "Culverine_32";
	Goods[GOOD_CULVERINE_32].CannonIdx	 	 = CANNON_TYPE_CULVERINE_LBS32;
	Goods[GOOD_CULVERINE_32].Cost			 = Cannon[CANNON_TYPE_CULVERINE_LBS32].Cost;
	Goods[GOOD_CULVERINE_32].Weight			 = Cannon[CANNON_TYPE_CULVERINE_LBS32].Weight;
	Goods[GOOD_CULVERINE_32].Units			 = 1;
	Goods[GOOD_CULVERINE_32].AfraidWater	 = 0;
	Goods[GOOD_CULVERINE_32].type			 = TRADE_TYPE_CANNONS;
	Goods[GOOD_CULVERINE_32].canbecontraband = 0;
	Goods[GOOD_CULVERINE_32].FireRange		    = Cannon[CANNON_TYPE_CULVERINE_LBS32].FireRange;
	Goods[GOOD_CULVERINE_32].DamageMultiply	= Cannon[CANNON_TYPE_CULVERINE_LBS32].DamageMultiply;
	Goods[GOOD_CULVERINE_32].ReloadTime		= sti(GetCannonReloadTime(&Cannon[CANNON_TYPE_CULVERINE_LBS32]));
}